Bug 591645 - Check that all resource types correctly advertise the singleton attribute
Summary: Check that all resource types correctly advertise the singleton attribute
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
(Show other bugs)
Version: 3.0.0
Hardware: All Linux
low
medium vote
Target Milestone: ---
: ---
Assignee: Lukas Krejci
QA Contact: Rajan Timaniya
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon24-naming
TreeView+ depends on / blocked
 
Reported: 2010-05-12 18:47 UTC by Lukas Krejci
Modified: 2010-08-12 16:56 UTC (History)
1 user (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 16:56:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lukas Krejci 2010-05-12 18:47:21 UTC
Description of problem:

With the changes to the resource names and how they are rendered in the UI, it has been found that not all resource types correctly specify the singleton attribute. The following resources have been found to be non-singleton even though they should be defined as such:

- Aliases File
- Hosts File
- RHQ Server * Subsystem
- Sudoers

Comment 1 Lukas Krejci 2010-05-13 13:12:40 UTC
Fixed by commits up to 53a51f3.

Comment 2 Rajan Timaniya 2010-05-19 12:17:18 UTC
Verified on master build #311 - GIT Revision: 8431fffb14edd3a4aba89e6b26bf1718099f3a6f

Verified following resources are singleton:
- Aliases File
- Hosts File
- RHQ Server * Subsystem
- Sudoers

Comment 3 Corey Welton 2010-08-12 16:56:18 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.